nomacs(1)

NAME
nomacs - is a free, open source image viewer, which supports multiple platforms.

SYNOPSIS
nomacs [file]

DESCRIPTION

nomacs is a free, open source image viewer, which supports multiple platforms. You can use it for viewing all common image formats including RAW and psd images. nomacs includes image manipulation methods for adjusting brightness, contrast, saturation, hue, gamma, exposure. It has a pseudo color function which allows creating false color images. A unique feature of nomacs is the synchronization of multiple instances. With this feature you can easily compare images by zooming and/or panning at the exactly same position or even by overlaying them with different opacity. nomacs is licensed under the GNU General Public License v3 and available for Windows, Linux, FreeBSD, and OS/2. It is free for private and commercial use.

OPTIONS

The following is the list of the options you can use, but the minimum usage is just supplying the file or folder path to nomacs.

--batch <batch-settings-path>
    Batch processing of <batch-settings.pnm>.

--batch-log <log-path.txt>
    Saves batch log to <log-path.txt>.

-d, --directory <directory>
    Load all files in the <directory>.

-f, --fullscreen
    Start in fullscreen.

-h, --help
    Displays help on commandline options.

--help-all
    Displays help including Qt specific options.

--import-settings <settings-path.ini>
    Imports the settings from <settings-path.ini> and saves them.

-m, --mode <default | frameless | pseudocolor>
    Set the viewing mode <mode>.

-p, --private
    Start in private mode.

--pong
    Start Pong.

--register-files
    Register file associations (Windows only).

--slideshow
    Start slideshow playback.

-t, --tab <images>
    Load <images> to tabs.

-v, --version
    Displays version information.

ARGUMENTS

You can supply an image file to nomacs and it will open it immediately.

SEE ALSO

You may also find more detailed online documentation on project homepage and Git repository.
• https://github.com/nomacs/nomacs

AUTHORS

• Markus Diem <markus@nomacs.org>
• Stefan Fiel <stefan@nomacs.org>
• Florian Kleber <florian@nomacs.org>